Subject: Re: [netmod] MD5 in ianach ex-RFC7317

From: tom petch <[email-masked]>
Date: Wed, 10 Feb 2021 11:24:29 +0000

From: netmod <[email-masked]> on behalf of Juergen Schoenwaelder <[email-masked]>
Sent: 09 February 2021 19:10

On Tue, Feb 09, 2021 at 05:47:28PM +0000, Kent Watsen wrote:
>
> > I agree, but it takes an I-D to do the update, yes?
> >
> > <tp>
> > I don't see why; the registry is expert review and we are doing a change that comes under permitted changes for a YANG module, ie a status change.
>
> My understanding is that a publication of a draft altering an IANA registry will trigger an “expert review”, if that registry was created with the update-policy set that way. The draft itself doesn’t request an expert review, the expert review happens in the background. I’m not familiar with this being done without an I-D, in order to show WG consensus.
>

My understanding is that IANA reviews all documents during the
publication process and while performing this review they will notice
that something is requested to be added/changed in a registry that
requires expert review and then they will go and run the procedure.

My understanding is this is _one_ way to make a request to IANA but
not the only way to make a request to IANA.

The more interesting bit is what IANA has to say about this registry:

iana-crypt-hash YANG Module     RFC 7317
                                Expert Review (Expert: Unassigned)

Perhaps we should focus more on finding a volunteer willing to take
the role of the Designated Expert...

<tp>
That is several steps ahead of us and, as and when it arises, that is the job of the IESG, not us. 

The first task, for us or for the NTP WG (who want it to happen) or ... is to reach a consensus on whether or not the module is fit for purpose, or whether it needs updating.

Tom Petch

/js

--
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <https://www.jacobs-university.de/>

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod